function [L] = H_likelihood_optim(parsV,modelType,imageIDs,subIDs,dataset)
% function [L] = H_likelihood_optim(parsV,modelType,imageIDs,subIDs,dataset)
%
% Wrapper function around the hierarchical model likelihood for
% optimization. Takes [pars(:);hyperpars(:)] as input and returns the
% corresponding likelihood and gradient.

if ~exist('modelType','var')
    modelType = [];
end
if ~exist('imageIDs','var')
    imageIDs = [];
end
if ~exist('subIDs','var')
    subIDs = [];
end
if ~exist('dataset','var')
    dataset = [];
end

pars = reshape(parsV(1:(end-5)),[],2);
hyperpars = parsV((end-4):end);

L= H_likelihood(pars,hyperpars,modelType,imageIDs,subIDs,dataset);
