library(jpeg)
library(spatstat)
library(ggplot2)
library(grid)

folder <- 'fixloc_1/fixloc_'
folderResult <- 'modelInput01/fx_'

bw = 1.05

salArray <- array(0,dim=c(128,128,Nimages))

pb <- txtProgressBar(min = 0, max = Nimages, initial = 0, char = "=", style = 3)
for (iImage in (1:Nimages)) {
    data <- read.table(paste(folder,toString(iImage),".dat",sep=""),header=TRUE)
    Xppp <- ppp(data$xpos,data$ypos,xrange=xrange,yrange=yrange)
    sal <- density(Xppp,bw)
    sal$v<- sal$v/sum(sal$v)
    write.table(sal$v,file = paste(folderResult,toString(iImage),".dat",sep=""),sep = ",",row.names = FALSE, col.names = FALSE)
    salArray[,,iImage]= sal$v
    setTxtProgressBar(pb, iImage)
}

