
library(mgcv)
library(jpeg)
library(spatstat)
library(ggplot2)
library(grid)

  folder <- 'fixloc_1/fixloc_'
  folderResult <- 'modelInputCross01/fx_'
  imrange <- read.table('imrange.dat',header=TRUE)
  xrange <- imrange$xrange
  yrange <- imrange$yrange
  Nimages <-30
  Nsubs <- 35


bw = 1.05

salArray <- array(0,dim=c(128,128,Nimages,5))

pb <- txtProgressBar(min = 0, max = 5*Nimages, initial = 0, char = "=", style = 3)
for (iFold in (1:5)) {
  subsTest <- (iFold-1)*floor(Nsubs/5)+(1:floor(Nsubs/5))
  subs <- setdiff(1:Nsubs, subsTest)
  for (iImage in (1:Nimages)) {
    data <- read.table(paste(folder,toString(iImage),".dat",sep=""),header=TRUE)
    data <- subset(data,is.element(subj,subs))
    Xppp <- ppp(data$xpos,data$ypos,xrange=xrange,yrange=yrange)
    sal <- density(Xppp,bw)
    sal$v<- sal$v/sum(sal$v)
    write.table(sal$v,file = paste(folderResult,toString(iImage),"_",toString(iFold),".dat",sep=""),sep = ",",row.names = FALSE, col.names = FALSE)
    salArray[,,iImage,iFold]= sal$v
    setTxtProgressBar(pb, Nimages*(iFold-1)+iImage)
  }
}
