function [x,fval,exitflag,output,population,score] = geneticAlgorithm(nvars,modelType,imageIDs,subIDs,dataset)


if ~exist('modelType','var') || isempty(modelType)
    modelType = 2;
end
if ~exist('imageIDs','var') || isempty(imageIDs)
    imageIDs = [1:5,16:20];
end
if ~exist('subIDs','var') || isempty(subIDs)
    subIDs = 1:15;
end
if ~exist('dataset','var') || isempty(dataset)
    dataset = 1;
end

if ~exist('nvars','var') || isempty(nvars)
    nvars = 9;
end

lb = -10;
ub = 10;

%% Start with the default options
options = optimoptions('ga');
%% Modify options setting
options = optimoptions(options,'Display', 'iter');
options = optimoptions(options,'PlotFcn', {@gaplotbestf @gaplotbestindiv @gaplotscores @gaplotstopping });
options = optimoptions(options,'UseVectorized', false);
options = optimoptions(options,'UseParallel', true);
[x,fval,exitflag,output,population,score] = ...
ga(@(theta) dynamic_likelihood_optim(theta,modelType,imageIDs,subIDs,dataset),nvars,[],[],[],[],lb,ub,[],[],options);

end
function L = dynamic_likelihood_optim(theta,modelType,imageIDs,subIDs,dataset)
    if isfinite(prior(theta,1))
        L = -sum(sum(dynamic_likelihood(theta,modelType,imageIDs,subIDs,dataset)))+prior(theta,1);
    else
        L = inf;
    end
end
