function stop = outfun(x, optimValues, state)
stop = false;
n = ceil(sqrt(numel(x)+1)); % number of columns
m = ceil((numel(x)+1)/n);     % number of rows

x = exp(x);

for i = 1:length(x)
    subplot(m,n,i)
    hold on;
    switch i
        case 1
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('Decay Inhib');
            end
            plot(optimValues.iteration,x(i),'k.');
        case 2
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('Decay Attention');
            end
            plot(optimValues.iteration,x(i),'k.');
        case 3
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('sigma Attention');
            end
            plot(optimValues.iteration,x(i)/sqrt(x(6)),'k.');
        case 4
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('sigma Imhib');
            end
            plot(optimValues.iteration,x(i)/sqrt(x(5)),'k.');
        case 5
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('\gamma');
            end
            plot(optimValues.iteration,x(i),'k.');
        case 6
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('\lambda');
            end
            plot(optimValues.iteration,x(i),'k.');
        case 7
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('log \eta');
            end
            plot(optimValues.iteration,log10(x(i)),'k.');
        case 8
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('Scale Inhibition');
            end
            plot(optimValues.iteration,x(i),'k.');
        case 9
            if isempty(get(get(gca,'YLabel'),'String'))
                ylabel('\zeta');
            end
            plot(optimValues.iteration,x(i),'k.');
    end

end
subplot(m,n,numel(x)+1)
hold on
plot(optimValues.iteration,optimValues.fval,'k.');

%save('pOptimization','x')

if isempty(get(get(gca,'YLabel'),'String'))
    ylabel('-loglikelihood [bit]')
end
drawnow
