function plot_CV
% function plot_CV
% This function plots the crossvalidation results currently available

values = nan(5,10);
TrainLikelihood = nan(5,10);

for iDataset = 1:10
    if exist(sprintf('crossvalidation/CVstruct%02d.mat',iDataset),'file')
        if exist(sprintf('crossvalidation/CVstruct%02dNEW.mat',iDataset),'file')
            load(sprintf('crossvalidation/CVstruct%02dNEW.mat',iDataset));
            CVstruct = CVstructNew;
        else 
            load(sprintf('crossvalidation/CVstruct%02d.mat',iDataset));
        end
        for iFold = 1:5
            if length(CVstruct)>=iFold
                values(iFold,iDataset) = 14+sum(sum(CVstruct(iFold).likelihoodTest))./sum(sum(CVstruct(iFold).NTest))./log(2);
                TrainLikelihood(iFold,iDataset) = 14+sum(sum(CVstruct(iFold).likelihoodTrain))./sum(sum(CVstruct(iFold).NTrain))./log(2);
                valuesImage(iFold,iDataset) = 14+sum(sum(CVstruct(iFold).likelihoodTest(1:3,:)))./sum(sum(CVstruct(iFold).NTest(1:3,:)))./log(2);
                valuesTexture(iFold,iDataset) = 14+sum(sum(CVstruct(iFold).likelihoodTest(4:6,:)))./sum(sum(CVstruct(iFold).NTest(4:6,:)))./log(2);
            end
        end
    end
end

figure

xvalues = [1,2,4,5,6,7,9,10,11,12];

bar(xvalues,mean(values(:,[9:10,1:8])),'FaceColor',[.6,.6,.6])
hold on
plot(xvalues,values(:,[9:10,1:8])','.-','MarkerSize',10)
box off
set(gca,'Tickdir','out')
set(gca,'XTick',xvalues)
set(gca,'XTickLabel',[9:10,1:8])
set(gca,'FontSize',15)
ylim([1.2,2])
ylabel('Test Likelihood [bit/fix]')




figure
bar(xvalues,mean(TrainLikelihood(:,[9:10,1:8])),'FaceColor',[.6,.6,.6])
hold on
plot(xvalues,TrainLikelihood(:,[9:10,1:8])','.-','MarkerSize',10)
box off
set(gca,'Tickdir','out')
set(gca,'XTick',xvalues)
set(gca,'XTickLabel',[9:10,1:8])
set(gca,'FontSize',15)
ylim([1.2,2])
ylabel('Training Likelihood [bit/fix]')


lInhomTestTexture = -13.42854;
lInhomTest = -13.13813;
lMin       = -13.66336;
lMinTexture= -13.67876;

figure
%bar(xvalues,mean(TrainLikelihood),'FaceColor',[.6,.6,.6])
%plot(xvalues,TrainLikelihood','.-','MarkerSize',10)

h = bar([1,3.5,6,8.5,11,13.5],[0,14+lMin,14+lInhomTest,mean(valuesImage(:,[9,1,5]))],0.35);
hold on
hTexture = bar([2,4.5,7,9.5,12,14.5],[0,14+lMinTexture,14+lInhomTestTexture,mean(valuesTexture(:,[10,3,7]))],0.35);
set(h(1),'faceColor',[64/255,64/255,64/255])
set(hTexture(1),'faceColor',[128/255,128/255,128/255])
set(gca,'XTick',[1.5,4,6.5,9,11.5,14])
set(gca,'XTickLabel',{'Uniform','Central Bias','Empirical Saliency','No Inhibition','Original SceneWalk','Divisive Inhibition'})
set(gca,'FontSize',15)
box off
set(gca,'TickDir','out')
set(gca,'XTickLabelRotation',90)
ylabel('\Delta log-Likelihood[bit/fix]')
legend([h(1),hTexture(1)],'Natural Images','Texture')
legend('boxoff')


disp([0,14+lMin,14+lInhomTest,mean(valuesImage(:,[9,1,5]));0,14+lMinTexture,14+lInhomTestTexture,mean(valuesTexture(:,[10,3,7]))])

mean(TrainLikelihood)