function p = prior(theta,type)
% calulates the negative log likelihood for a parameter value and returnes
% inf for impossible parameter values
%
% type tells the function, which model the prior shall be used for: 
% 1 = generic
% 2 = divisive
% 3 = no inhibition model
switch type
    case 1
        theta = theta(:);
        if length(theta)== 7
            theta = [theta(1:4);0;theta(5:end)];
        elseif length(theta)== 6
            theta = [theta(1:4);0;0;theta(5:end)];
        end
        if all(abs(theta(1:2))<log(1000)) && all(abs(theta(3:4))<log(25))&& abs(theta(7)<log(1000)) &&  theta(8)>-20 && theta(8)<0
            sigma = 30;
            p = sum((theta).^2./sigma.^2)/2;
        else
            p = inf;
        end
    case 2
        theta = theta(:);
        if length(theta)== 7
            theta = [theta(1:4);0;theta(5:end)];
        elseif length(theta)== 6
            theta = [theta(1:4);0;0;theta(5:end)];
        end
        if theta(8)<0
            sigma = 30;
            p = sum((theta).^2./sigma.^2)/2;
        else
            p = inf;
        end
    case 3
        theta = theta(:);
        if length(theta)== 3
            theta = [theta(1:2);0;theta(3)];
        end
        if theta(4)<0
            sigma = 30;
            p = sum((theta).^2./sigma.^2)/2;
        else
            p = inf;
        end
end
end