function refit_crossvalidation(iModel)

    if exist(sprintf('crossvalidation/CVstruct%02d.mat',iModel),'file')
        load(sprintf('crossvalidation/CVstruct%02d.mat',iModel))
        ps = cat(1,CVstruct(:).pars);
        p1 = ps(find((ps(:,1)>3) & (ps(:,4)<0),1,'first'),:);
        p2 = ps(find((ps(:,1)<1) & (ps(:,4)>1),1,'first'),:);
        modelType = CVstruct(1).modelType;
        if ~isempty(p1) && ~isempty(p2)
            if exist(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel),'file')
                load(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel));
                start = numel(CVstructNew)+1;
            else
                CVstructNew = struct();
                start = 1;
            end
            for iFold = start:5
                fprintf('starting fold %d for model # %d\n',iFold,iModel)
                testSubs = (iFold-1)*7+(1:7);
                trainSubs = setdiff(1:35,testSubs);
                testImages = [(iFold-1)*3+(1:3),15+(iFold-1)*3+(1:3)];
                trainImages = setdiff(1:30,testImages);
                dataset = 10+iFold;
                
                options = optimset;
                %% Modify options setting
                options = optimset(options,'Display', 'iter');
                options = optimset(options,'TolFun', 0.001);
                options = optimset(options,'TolX', 25);
                options = optimset(options,'PlotFcns', {  @optimplotx @optimplotfval });
                switch iModel
                    case {1,2,3,4}
                        [x,fval,exitflag,output] = fminsearch(@(theta) dynamic_likelihood_optim(theta,modelType,trainImages,trainSubs,dataset),p1,options);
                        [x2,fval2,exitflag2,output2] = fminsearch(@(theta) dynamic_likelihood_optim(theta,modelType,trainImages,trainSubs,dataset),p2,options);
                    case {5,6,7,8}
                        [x,fval,exitflag,output] = fminsearch(@(theta) dynamic_likelihood_divisive_optim(theta,modelType,trainImages,trainSubs,dataset),p1,options);
                        [x2,fval2,exitflag2,output2] = fminsearch(@(theta) dynamic_likelihood_divisive_optim(theta,modelType,trainImages,trainSubs,dataset),p2,options);
                end
                CVstructNew(iFold).modelNumber = iModel;
                CVstructNew(iFold).modelType = modelType;
                CVstructNew(iFold).dataset = dataset;
                CVstructNew(iFold).pars1 = x;
                CVstructNew(iFold).pars2 = x2;
                CVstructNew(iFold).exitflag1 = exitflag;
                CVstructNew(iFold).exitflag2 = exitflag2;
                CVstructNew(iFold).output1 = output;
                CVstructNew(iFold).output2 = output2;
                CVstructNew(iFold).trainPosterior1 = fval;
                CVstructNew(iFold).trainPosterior2 = fval2;
                if fval< fval2
                    CVstructNew(iFold).pars = x;
                    CVstructNew(iFold).exitflag = exitflag;
                    CVstructNew(iFold).output = output;
                    CVstructNew(iFold).trainPosterior = fval1;
                else
                    CVstructNew(iFold).pars = x2;
                    CVstructNew(iFold).exitflag = exitflag2;
                    CVstructNew(iFold).output = output2;
                    CVstructNew(iFold).trainPosterior = fval2;
                end
                pT = exp(CVstructNew(iFold).pars);
                CVstructNew(iFold).parsTransformed = pT;
                switch iModel
                    case {1,2,3,4}
                        [CVstructNew(iFold).likelihoodTrain,CVstructNew(iFold).NTrain] = dynamic_likelihood(CVstructNew(iFold).pars,modelType,trainImages,trainSubs,dataset);
                        [CVstructNew(iFold).likelihoodTest,CVstructNew(iFold).NTest] = dynamic_likelihood(CVstructNew(iFold).pars,modelType,testImages,testSubs,dataset);
                    case {5,6,7,8}
                        [CVstructNew(iFold).likelihoodTrain,CVstructNew(iFold).NTrain] = dynamic_likelihood_divisive(CVstructNew(iFold).pars,modelType,trainImages,trainSubs,dataset);
                        [CVstructNew(iFold).likelihoodTest,CVstructNew(iFold).NTest] = dynamic_likelihood_divisive(CVstructNew(iFold).pars,modelType,testImages,testSubs,dataset);
                end
                CVstructNew(iFold).bitperfixation = CVstructNew(iFold).likelihoodTest./log(2)./CVstructNew(iFold).NTest;
                save(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel),'CVstructNew')
            end
        elseif ~isempty(p2)
            if exist(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel),'file')
                load(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel));
                start = numel(CVstructNew)+1;
            else
                CVstructNew = struct();
                start = 1;
            end
            for iFold = start:5
                fprintf('starting fold %d for model # %d\n',iFold,iModel)
                testSubs = (iFold-1)*7+(1:7);
                trainSubs = setdiff(1:35,testSubs);
                testImages = [(iFold-1)*3+(1:3),15+(iFold-1)*3+(1:3)];
                trainImages = setdiff(1:30,testImages);
                dataset = 10+iFold;
                
                options = optimset;
                %% Modify options setting
                options = optimset(options,'Display', 'iter');
                options = optimset(options,'TolFun', 0.001);
                options = optimset(options,'TolX', 25);
                options = optimset(options,'PlotFcns', {  @optimplotx @optimplotfval });
                switch iModel
                    case {1,2,3,4}
                        [x2,fval2,exitflag2,output2] = fminsearch(@(theta) dynamic_likelihood_optim(theta,modelType,trainImages,trainSubs,dataset),p2,options);
                    case {5,6,7,8}
                        [x2,fval2,exitflag2,output2] = fminsearch(@(theta) dynamic_likelihood_divisive_optim(theta,modelType,trainImages,trainSubs,dataset),p2,options);
                end
                CVstructNew(iFold).modelNumber = iModel;
                CVstructNew(iFold).modelType = modelType;
                CVstructNew(iFold).dataset = dataset;
                CVstructNew(iFold).pars1 = [];
                CVstructNew(iFold).pars2 = x2;
                CVstructNew(iFold).exitflag1 = [];
                CVstructNew(iFold).exitflag2 = exitflag2;
                CVstructNew(iFold).output1 = [];
                CVstructNew(iFold).output2 = output2;
                CVstructNew(iFold).trainPosterior1 = [];
                CVstructNew(iFold).trainPosterior2 = fval2;
                CVstructNew(iFold).pars = x2;
                CVstructNew(iFold).exitflag = exitflag2;
                CVstructNew(iFold).output = output2;
                CVstructNew(iFold).trainPosterior = fval2;
                pT = exp(CVstructNew(iFold).pars);
                CVstructNew(iFold).parsTransformed = pT;
                switch iModel
                    case {1,2,3,4}
                        [CVstructNew(iFold).likelihoodTrain,CVstructNew(iFold).NTrain] = dynamic_likelihood(CVstructNew(iFold).pars,modelType,trainImages,trainSubs,dataset);
                        [CVstructNew(iFold).likelihoodTest,CVstructNew(iFold).NTest] = dynamic_likelihood(CVstructNew(iFold).pars,modelType,testImages,testSubs,dataset);
                    case {5,6,7,8}
                        [CVstructNew(iFold).likelihoodTrain,CVstructNew(iFold).NTrain] = dynamic_likelihood_divisive(CVstructNew(iFold).pars,modelType,trainImages,trainSubs,dataset);
                        [CVstructNew(iFold).likelihoodTest,CVstructNew(iFold).NTest] = dynamic_likelihood_divisive(CVstructNew(iFold).pars,modelType,testImages,testSubs,dataset);
                end
                CVstructNew(iFold).bitperfixation = CVstructNew(iFold).likelihoodTest./log(2)./CVstructNew(iFold).NTest;
                save(sprintf('crossvalidation/CVstruct%02dNEW.mat',iModel),'CVstructNew')
            end
        end
    end
end




function L = dynamic_likelihood_optim(theta,modelType,imageIDs,subIDs,dataset)
if isfinite(prior(theta,1))
    L = -sum(sum(dynamic_likelihood(theta,modelType,imageIDs,subIDs,dataset)))+prior(theta,1);
else
    L = inf;
end
end


function L = dynamic_likelihood_divisive_optim(theta,modelType,imageIDs,subIDs,dataset)
if isfinite(prior(theta,1))
    L = -sum(sum(dynamic_likelihood_divisive(theta,modelType,imageIDs,subIDs,dataset)))+prior(theta,2);
else
    L = inf;
end
end