
library(R.matlab)
library(mcmc)
library(coda)
library(reshape2)


s2<-readMat('samplesHierarchicalGibbs997.mat')
s3<-readMat('samplesHierarchicalGibbs998.mat')
s4<-readMat('samplesHierarchicalGibbs999.mat')

s2H <-s2$hypersamples[1000:10000,]
s3H <-s3$hypersamples[1000:10000,]
s4H <-s4$hypersamples[1000:10000,]
colnames(s2H) <- c('meanAtt','meanInhib','varianceAtt','varianceInhib','correlation','Posterior')
colnames(s3H) <- c('meanAtt','meanInhib','varianceAtt','varianceInhib','correlation','Posterior')
colnames(s4H) <- c('meanAtt','meanInhib','varianceAtt','varianceInhib','correlation','Posterior')
s2 <-s2$samples[1000:10000,,]
s3 <-s3$samples[1000:10000,,]
s4 <-s4$samples[1000:10000,,]

sH <- mcmc.list(mcmc(s2H),mcmc(s3H),mcmc(s3H))

s2 <- mcmc(acast(melt(s2),Var1 ~ Var2+Var3))
s3 <- mcmc(acast(melt(s3),Var1 ~ Var2+Var3))
s4 <- mcmc(acast(melt(s4),Var1 ~ Var2+Var3))

s <- mcmc.list(s2,s3,s4)

summary(s)
effectiveSize(s)
summary(sH)
effectiveSize(sH)

#plot(s)
#gelman.plot(s)
#plot(sH)
#gelman.plot(sH)