function x = start_optim(nThreads,imageIDs,subIDs,fixExp)

if ~exist('imageIDs','var') || isempty(imageIDs)
    imageIDs = [1:5,16:20];
end

if ~exist('subIDs','var') || isempty(subIDs)
    subIDs = 1:15;
end

if fixExp == 1
    x = zeros(nThreads,9);
elseif fixExp == 2
    x = zeros(nThreads,8);
else
    x = zeros(nThreads,10);
end

for iThread = 1:nThreads    
    theta0 = rand(9,1);
    theta0(1:2) = log(0.001)+2*log(1000)*theta0(1:2);
    theta0(3:4) = log(25)*theta0(3:4);
    theta0(5:6) = log(0.01)+2*log(100)*theta0(5:6);
    theta0([7,9]) = -20*theta0([7,9]);
    theta0(8) = log(0.01)+2*log(100)*theta0(8);
    
    if fixExp == 1
        % fix Gamma 
        theta0 = theta0([1:4,6:end]);
    elseif fixExp == 2
        theta0 = theta0([1:4,7:end]);
    end
    
    [x(iThread,1:(end-1)),x(iThread,end)] = optim(iThread,theta0,imageIDs,subIDs);
    
    
    clf
    for jThread = 1:iThread
        m = ceil(sqrt(size(x,2)));
        n = ceil(size(x,2)/m);
        for iPar = 1:(size(x,2)-1)
            subplot(n,m,iPar);
            hold on
            plot([0,1500],[exp(x(jThread,iPar)),exp(x(jThread,iPar))])
            xlabel('iteration');
        end
        subplot(n,m,n*m)
        hold on
        plot([0,1500],[x(jThread,end),x(jThread,end)])
        xlabel('iteration');
        ylabel('-log-Likelihood')
    end
    save(sprintf('xGeneric%02d',numel(theta0)),'x')
end


end