function x = start_optim_divisive(nThreads,imageIDs,subIDs)

if ~exist('imageIDs','var') || isempty(imageIDs)
    imageIDs = [1:5,16:20];
end

if ~exist('subIDs','var') || isempty(subIDs)
    subIDs = 1:15;
end

x = zeros(nThreads,9);

for iThread = 1:nThreads
    theta0 = 2*randn(8,1);
    theta0(8) = log(0.1*rand); % zeta must be small-> uniform [0,.1]
    while any(theta0(4:5) >=log(100)) || any(theta0(4:5) <=log(0.01))
        theta0(4:5) = 2*randn(2,1);
    end
    [x(iThread,1:(end-1)),x(iThread,end)] = optim_divisive(iThread,theta0,imageIDs,subIDs);
    
    clf
    for jThread = 1:iThread
        m = ceil(sqrt(size(x,2)));
        n = ceil(size(x,2)/m);
        for iPar = 1:(size(x,2)-1)
            subplot(n,m,iPar);
            hold on
            plot([0,1500],[exp(x(jThread,iPar)),exp(x(jThread,iPar))])
            xlabel('iteration');
            switch iPar
                case 1
                    ylabel('\omega');
                case 2
                    ylabel('\rho');
                case 3
                    ylabel('\sigma_A')
                case 4
                    ylabel('\sigma_I');
                case 5
                    ylabel('\gamma');
                case 6
                    ylabel('\lambda')
                case 7
                    ylabel('\eta')
                case 8
                    ylabel('C_{inhib}');
                case 9
                    ylabel('\zeta')
            end
        end
        subplot(n,m,n*m)
        hold on
        plot([0,1500],[x(jThread,end),x(jThread,end)])
        xlabel('iteration');
        ylabel('-log-Likelihood')
    end
    save('xDivisive','x')
end