function x = start_optim_noInhib(nThreads,imageIDs,subIDs)

if ~exist('imageIDs','var') || isempty(imageIDs)
    imageIDs = [1:5,16:20];
end

if ~exist('subIDs','var') || isempty(subIDs)
    subIDs = 1:15;
end
x = zeros(nThreads,5);

for iThread = 1:nThreads
    theta0 = 2*randn(4,1);
    theta0(4) = log(.1*rand);
    [x(iThread,1:(end-1)),x(iThread,end)] = optim_noInhib(iThread,theta0,imageIDs,subIDs);
    
    
    clf
    for jThread = 1:iThread
        m = ceil(sqrt(size(x,2)));
        n = ceil(size(x,2)/m);
        for iPar = 1:(size(x,2)-1)
            subplot(n,m,iPar);
            hold on
            plot([0,1500],[exp(x(jThread,iPar)),exp(x(jThread,iPar))])
            xlabel('iteration');
            switch iPar
                case 1
                    ylabel('\rho');
                case 2
                    ylabel('\sigma_A');
                case 3
                    ylabel('\lambda');
                case 4
                    ylabel('\zeta')
            end
        end
        subplot(n,m,n*m)
        hold on
        plot([0,1500],[x(jThread,end),x(jThread,end)])
        xlabel('iteration');
        ylabel('-log-Likelihood')
    end
    save('xNoInhib','x')
end


end